<?php
require_once ("config.php");
$smarty->assign('title', "Hauptmen");

if (isset ( $_POST ['kuerzel_speichern'] )) {
	session_start ();
	$_SESSION ['kuerzel'] = $_POST ['kuerzel'];
	$smarty->assign ( 'kuerzel', $_SESSION ['kuerzel'] );
	session_write_close ();
}

if (isset ( $_POST ['kid_anzeigen'] ) || isset ( $_POST ['bid_anzeigen'] ) || isset ( $_POST ['filmnr_lang_anzeigen'] ) || isset ( $_POST ['kuerzel_anzeigen'] ) || isset ( $_POST ['kuerzel_anzeigen_fe'] )) {
	$sammlungen = getSammlungen ();
	if (isset ( $_POST ['kid'] ) && $_POST ['kid'] != "") {
		$kid = intval ( $_POST ['kid'] );
		$sql = "SELECT filmnr_lang, aid FROM k_eroef JOIN kmit ON kmit.id = k_eroef.aid JOIN filme ON filme.id = kmit.fid WHERE k_eroef.id = $kid";
		$res = $db->query ( $sql );
		if ($res->num_rows == 0) {
			// das darf nicht passieren
			die ( "Kann die KID $kid nicht finden." );
		} else {
			$obj = $res->fetch_object ();
			$filmnr_lang = $obj->filmnr_lang;
			$aid = $obj->aid;
			
			$film_path = rawurlencode ( getFilmPath ( $filmnr_lang, $sammlungen ) );
			$link = "edit.php?path=$film_path&ausgabe_id=$aid&art=eroef&id=$kid";
			header ( "Location: $link" );
			exit ();
		}
	} elseif (isset ( $_POST ['bid'] ) && $_POST ['bid'] != "") {
		$bid = intval ( $_POST ['bid'] );
		$sql = "SELECT filmnr_lang, aid, kid FROM k_beend JOIN kmit ON kmit.id = k_beend.aid JOIN filme ON filme.id = kmit.fid WHERE k_beend.id = $bid";
		$res = $db->query ( $sql );
		if ($res->num_rows == 0) {
			// das darf nicht passieren
			die ( "Kann die BID $bid nicht finden." );
		} else {
			$obj = $res->fetch_object ();
			$filmnr_lang = $obj->filmnr_lang;
			$aid = $obj->aid;
			$kid = $obj->kid;
			
			if (is_null ( $kid )) {
				$anchor = "#Suche";
			} else {
				$anchor = "#Eingabe";
			}
			$film_path = rawurlencode ( getFilmPath ( $filmnr_lang, $sammlungen ) );
			$link = "edit.php?path=$film_path&ausgabe_id=$aid&art=beend&id=$bid$anchor";
			header ( "Location: $link" );
			exit ();
		}
	} elseif (isset ( $_POST ['filmnr_lang'] )) {
		$filmnr_lang = intval ( $_POST ['filmnr_lang'] );
		if ($film_path = getFilmPath ( $filmnr_lang, $sammlungen ) === false) {
			die ( "Kann die Film-Nr. nicht finden." );
		} else {
			$film_path = rawurlencode ( getFilmPath ( $filmnr_lang, $sammlungen ) );
			$link = "selektion.php?path=$film_path";
			if (isset ( $_POST ['bildnr'] ) && $_POST ['bildnr'] != "") {
				$link .= "#image_" . intval ( $_POST ['bildnr'] );
			}
			header ( "Location: $link" );
			exit ();
		}
	} elseif (isset ( $_POST ['kuerzel_suche'] )) {
		$kuerzel_suche = $db->real_escape_string ( $_POST ['kuerzel_suche'] );
		if (isset ( $_POST ['kuerzel_anzeigen'] )) {
			$custom_where = rawurlencode ( "K.last LIKE \"%$kuerzel_suche%\" OR X.last LIKE \"%$kuerzel_suche%\"" );
		} elseif (isset ( $_POST ['kuerzel_anzeigen_fe'] )) {
			$custom_where = rawurlencode ( "((K.last LIKE \"%$kuerzel_suche%\" OR X.last LIKE \"%$kuerzel_suche%\") AND (K.bemerk LIKE \"%#FE%\" OR X.bemerk LIKE \"%#FE%\")) OR (K.bemerk LIKE \"%#FE($kuerzel_suche)%\" OR X.bemerk LIKE \"%#FE($kuerzel_suche)%\")");
		}
		$link = "kliste.php?typ=kmit&custom_where=$custom_where";
		header ( "Location: $link" );
	}
}

// rufe Filmsammlungen ab
$sammlungen = getSammlungen ();

// Hole gesperrte Bilder
$sql = "SELECT filmnr_lang,filmnr_kurz,bildnr,DATE_FORMAT(gesperrt, '%d.%m.%Y %H:%i:%s') AS gesperrt,last 
		FROM kmit JOIN filme ON kmit.fid = filme.id 
		WHERE gesperrt IS NOT NULL 
		ORDER BY filmnr_lang,bildnr";
$res = $db->query ( $sql );
$gesperrt = array ();
while ( $row = $res->fetch_assoc () ) {
	$row ['film_path'] = getFilmPath ( $row ['filmnr_lang'], $sammlungen );
	$gesperrt [] = $row;
}
$num_gesperrt = $res->num_rows;

$smarty->assign ( 'num_gesperrt', $num_gesperrt );
$smarty->assign ( 'gesperrt', $gesperrt );
$smarty->assign ( 'liste', $sammlungen );
$smarty->display ( 'index.tpl' );

?>