<?php

// Parameter
// GET (erforderlich): ausgabe_id, art, path
// GET (fr nderungsmodus): id
// ...
// (Liste unvollstndig)
include "config.php";

$ausgabe_id = intval ( $_GET ['ausgabe_id'] );
$art = $_GET ['art'];

$sql = "SELECT filme.filmnr_kurz,filme.filmnr_lang,kmit.bildnr,kmit.jahr,kmit.ausgabe FROM kmit JOIN filme ON kmit.fid = filme.id WHERE kmit.id=$ausgabe_id";
$res = $db->query ( $sql );
if ($res->num_rows == 0) {
	// das darf nicht passieren
	die ( "Kann die Ausgabe mit der ID $ausgabe_id nicht in der Datenbank finden." );
} else {
	$info = $res->fetch_object ();
}

// Abzweigen?
if (isset ( $_GET ['abzweigen'] )) {
	$abzweigen = true;
} else {
	$abzweigen = false;
}

$smarty->assign ( 'art', $art );
$smarty->assign ( 'ausgabe_id', $ausgabe_id );
$smarty->assign ( 'ausgabe', $info->ausgabe );
$smarty->assign ( 'jahr', $info->jahr );
$smarty->assign ( 'filmnr_kurz', $info->filmnr_kurz );
$smarty->assign ( 'filmnr_lang', $info->filmnr_lang );
$smarty->assign ( 'bildnr', $info->bildnr );
$smarty->assign ( 'film_path', $_GET ['path'] );
$smarty->assign ( 'abzweigen', $abzweigen );

// +++ Zurck ohne zu speichern +++
if (isset ( $_POST ['discard_and_return'] )) {
	// keine Aktionen
}

// +++ Lsche $_POST['id]
if (isset ( $_POST ['delete_and_return'] )) {
	if ($art == "eroef") {
		$sql = "DELETE FROM k_eroef WHERE id = " . $_POST ['id'];
	} elseif ($art == "beend") {
		$sql = "DELETE FROM k_beend WHERE id = " . $_POST ['id'];
	}
	$db->query ( $sql );
}

// +++ Verarbeiten +++
if (isset ( $_POST ['save_and_return'] )) {
	// Wenn $id gesetzt ist, gehen die SQL Anweisungen im nderungsmodus ins duplicate key
	if (isset ( $_POST ['id'] )) {
		$id = $_POST ['id'];
		// Verschieben?
		if (! empty ( $_POST ['verschieben_nach'] )) {
			$verschieben_nach = intval ( $_POST ['verschieben_nach'] );
			// Prfe, ob die Zielausgabe existiert
			$sql = "SELECT * FROM kmit WHERE id=$verschieben_nach";
			if ($db->query ( $sql )->num_rows != 1) {
				die ( "Fehler: Konnte die Bekanntmachung nicht verschieben, da die Konkursbild-ID nicht gefunden wurde. Bitte Eingabe berprfen." );
			}
			$table = $art == "eroef" ? "k_eroef" : "k_beend";
			// Prfe, ob die Bekanntmachung abgezweigt ist
			$sql = "SELECT 1 FROM $table WHERE id=$id AND pid IS NOT NULL";
			if ($db->query($sql)->num_rows != 0) {
				die ("Fehler: Konnte die Bekanntmachung nicht verschieben, da sie abgezeigt wurde. Bitte Mehrfachbekanntmachung verschieben.");
			}
			$ausgabe_id = $verschieben_nach;
			// Abzweigungen mitverschieben
			$sql = "UPDATE $table SET aid=$ausgabe_id WHERE pid = $id";
			$db->query($sql);
		}
	} else {
		$id = "NULL"; // lst auto_increment aus
	}
	// unterschiedliche weitere Verarbeitung je nach Bekanntmachungstyp
	if ($art == "eroef") {
		// generiere neuen Eintrag beim Abzweigen (Kind)
		if ($abzweigen) {
			$pid = $id;
			$id = "NULL";
		} else {
			if (isset ( $_POST ['pid'] )) {
				$pid = intval ( $_POST ['pid'] );
			} else {
				$pid = "NULL";
			}
		}
		// Weise zu und escape alle Variablen mit strings
		$s_name = $db->real_escape_string ( $_POST ['s_name'] );
		$s_ort = $db->real_escape_string ( $_POST ['s_ort'] );
		$s_beruf = $db->real_escape_string ( $_POST ['s_beruf'] );
		$gericht = $db->real_escape_string ( $_POST ['gericht'] );
		$bemerk = $db->real_escape_string ( htmlspecialchars_decode ( $_POST ['bemerk'] ) );
		
		$v_name = $db->real_escape_string ( $_POST ['v_name'] );
		$v_ort = $db->real_escape_string ( $_POST ['v_ort'] );
		$v_beruf = $db->real_escape_string ( $_POST ['v_beruf'] );
		
		$bek_dat = implode ( "-", array_reverse ( $_POST ['bek_dat'] ) );
		$eroef_dat = implode ( "-", array_reverse ( $_POST ['eroef_dat'] ) );
		$anz_dat = implode ( "-", array_reverse ( $_POST ['anz_dat'] ) );
		$anm_dat = implode ( "-", array_reverse ( $_POST ['anm_dat'] ) );
		$gvers_dat = implode ( "-", array_reverse ( $_POST ['gvers_dat'] ) );
		$pruef_dat = implode ( "-", array_reverse ( $_POST ['pruef_dat'] ) );
		$t_dat = implode ( "-", array_reverse ( $_POST ['t_dat'] ) );
		
		$sql = "INSERT INTO k_eroef (`id`, `aid`, pid, `s_name`, `s_ort`, `s_beruf`, `v_name`, `v_ort`, `v_beruf`, 
				`eroef_dat`, `anz_dat`, `anm_dat`, `gvers_dat`, `pruef_dat`, `t_dat`, `gericht`, `bek_dat`, `bemerk`, `last`) 
				VALUES ($id, $ausgabe_id, $pid, '$s_name', '$s_ort', '$s_beruf', '$v_name', '$v_ort', '$v_beruf', '$eroef_dat', '$anz_dat',
				'$anm_dat', '$gvers_dat', '$pruef_dat', '$t_dat', '$gericht', '$bek_dat', '$bemerk', '$kuerzelsql')
				ON DUPLICATE KEY UPDATE `aid`=$ausgabe_id, `pid`=$pid, `s_name`='$s_name', `s_ort`='$s_ort', `s_beruf`='$s_beruf', 
				`v_name`='$v_name', `v_ort`='$v_ort', `v_beruf`='$v_beruf', `eroef_dat`='$eroef_dat', `anz_dat`='$anz_dat', 
				`anm_dat`='$anm_dat', `gvers_dat`='$gvers_dat', `pruef_dat`='$pruef_dat', `t_dat`='$t_dat', `gericht`='$gericht', 
				`bek_dat`='$bek_dat', `bemerk`='$bemerk', `last`='$kuerzelsql'";
	} elseif ($art == "beend") {
		// Abzweigen
		if ($abzweigen) {
			// ermittle eine eventuell verknpfte Erffnung von der Ausgangsbekanntmachung, um daraus Daten zu bernehmen
			// Hole zuerst die Beendigung fr die KID und um abzugleichen, was ergnzt werden soll
			$sql = "SELECT B.kid, B.gericht, B.s_name, B.s_ort, B.s_beruf FROM k_beend AS B WHERE B.id = $id";
			$res = $db->query ( $sql );
			$beend = $res->fetch_assoc ();
			if (! is_null ( $beend ['kid'] )) {
				// Erffnung
				$sql = "SELECT E.gericht, E.s_name, E.s_ort, E.s_beruf FROM k_eroef AS E WHERE E.id = $beend[kid]";
				$res = $db->query ( $sql );
				$eroef = $res->fetch_assoc ();
				
				$beend ['gericht'] = $db->real_escape_string ( $beend ['gericht'] ? $beend ['gericht'] : $eroef ['gericht'] );
				$beend ['s_name'] = $db->real_escape_string ( $beend ['s_name'] ? $beend ['s_name'] : $eroef ['s_name'] );
				$beend ['s_beruf'] = $db->real_escape_string ( $beend ['s_beruf'] ? $beend ['s_beruf'] : $eroef ['s_beruf'] );
				$beend ['s_ort'] = $db->real_escape_string ( $beend ['s_ort'] ? $beend ['s_ort'] : $eroef ['s_ort'] );
				
				// ergnze die Ausgangsbekanntmachung mit etwaigen Daten aus der Erffnung und lsche die Verknpfung  der Ausgangsbekanntmachung
				$sql = "UPDATE k_beend SET kid = NULL, gericht='$beend[gericht]', s_name='$beend[s_name]',
				s_beruf='$beend[s_beruf]', s_ort='$beend[s_ort]' WHERE id = $id";
				$db->query ( $sql );
				//echo $sql . "<br />";
			}
			// generiere neuen Eintrag beim Abzweigen (Kind)
			$pid = $id;
			$id = "NULL";
		} else {
			if (isset ( $_POST ['pid'] )) {
				$pid = intval ( $_POST ['pid'] );
			} else {
				$pid = "NULL";
			}
		}
		
		// FIXME: code vereinfachen (NULL und quotes im query)
		// prepriere Strings, die NULL sein knnen
		
		// diese Felder in $_POST escapen
		$escape_fields = array (
				's_name',
				's_beruf',
				's_ort',
				'gericht',
				'bemerk' 
		);
		foreach ( $escape_fields as $field ) {
			$_POST [$field] = $db->real_escape_string ( $_POST [$field] );
		}
		// diese Felder in $_POST mit NULL versehen, wenn leer, oder escapen, wenn nicht leer
		$null_fields = array (
				's_name',
				's_beruf',
				's_ort',
				'gericht' 
		);
		foreach ( $null_fields as $field ) {
			if (empty ( $_POST [$field] )) {
				$_POST [$field] = "NULL";
			} else {
				$_POST [$field] = "'" . $_POST [$field] . "'";
			}
		}
		// verwerfe $_POST['kid'], wenn der delete_kid button geklickt wurde
		// kid kann zwar auch NULL sein, ist aber kein string, der mit quotes umgeben werden msste (daher nicht in $null_fields)
		if (isset ( $_POST ['kid'] )) {
			$kid = $_POST ['kid'];
		} else {
			$kid = "NULL";
		}
		// einzelne variablen definieren
		$s_name = $_POST ['s_name'];
		$s_ort = $_POST ['s_ort'];
		$s_beruf = $_POST ['s_beruf'];
		$gericht = $_POST ['gericht'];
		$bemerk = htmlspecialchars_decode ( $_POST ['bemerk'] );
		$typ = $_POST ['typ'];
		$bek_dat = implode ( "-", array_reverse ( $_POST ['bek_dat'] ) ); // Datum in MySQL-Format konvertieren
		$aufh_dat = implode ( "-", array_reverse ( $_POST ['aufh_dat'] ) ); // Datum in MySQL-Format konvertieren
		$t_dat = implode ( "-", array_reverse ( $_POST ['t_dat'] ) ); // Datum in MySQL-Format konvertieren
		
		$sql = "INSERT INTO k_beend (`id`, `aid`, `pid`, `kid`, `s_name`, `s_ort`, `s_beruf`, `typ`, `gericht`, `aufh_dat`, `bek_dat`, `t_dat`, `bemerk`, `last`) 
				VALUES ($id, $ausgabe_id, $pid, $kid, $s_name, $s_ort, $s_beruf, '$typ', $gericht, '$aufh_dat', '$bek_dat', '$t_dat', '$bemerk', '$kuerzelsql') 
				ON DUPLICATE KEY UPDATE `aid`=$ausgabe_id, `kid`=$kid, `pid`=$pid, `s_name`=$s_name, `s_ort`=$s_ort, `s_beruf`=$s_beruf, 
				`typ`='$typ', `gericht`=$gericht, `aufh_dat`='$aufh_dat', `bek_dat`='$bek_dat', `t_dat`='$t_dat', `bemerk`='$bemerk', `last`='$kuerzelsql'";
	}
	$db->query ( $sql );
}

// wenn eine dieser buttons geklickt wurde, springe zurck und beende das skript (nicht bei delete_kid!)
if (isset ( $_POST ['save_and_return'] ) || isset ( $_POST ['delete_and_return'] ) || isset ( $_POST ['discard_and_return'] )) {
	//echo $sql;
	header ( "Location: auswertung.php?path=" . rawurlencode ( $_GET ['path'] ) . "&bildnr=" . $info->bildnr . "#image_" . $info->bildnr );
	exit ();
}

// +++ Anzeigen / Suchen +++
if ($art == "eroef") {
	// nderungsmodus oder abzweigen
	if (isset ( $_GET ['id'] )) {
		// Lade die Erffnung mit der angegebenen ID fr den nderungsmodus
		$id = $_GET ['id'];
		$sql = "SELECT * FROM k_eroef WHERE id = $id";
		$res = $db->query ( $sql );
		$edit = $res->fetch_assoc ();
		
		// Abzweigen
		if ($abzweigen) {
			$edit ['children'] = null;
			$edit ['beend'] = null;
		} else { // Lade verknpfte Beendigung und Abzweigungen (ggf. leeres Ergebnis) nur wenn nicht abgezweigt wird
			
			$sql = "SELECT * FROM k_eroef WHERE pid = $id";
			$res = $db->query ( $sql );
			$edit ['children'] = $res->fetch_assoc ();
			
			$sql = "SELECT B.id,B.aid,F.filmnr_lang FROM k_beend AS B JOIN kmit AS K ON B.aid = K.id JOIN filme AS F ON K.fid = F.id WHERE B.kid = $id";
			$res = $db->query ( $sql );
			$edit ['beend'] = $res->fetch_assoc ();
			
			if (!is_null($edit['beend'])) {
				// Hole Sammlungen zur Linkgenerierung
				$sammlungen = getSammlungen ();
				$edit['beend']['bfilm_path'] = getFilmPath($edit['beend']['filmnr_lang'], $sammlungen);
			}
		}
		$smarty->assign ( 'edit', $edit );
	}
} elseif ($art == "beend") {
	// selected und value Variablen fr das Suchformular initialisieren, damit wir nicht im Template stndig isset() aufrufen mssen
	$smarty->assign ( 'schuldner_auswahl_selected', '' );
	$smarty->assign ( 'schuldner_suche_value' );
	$smarty->assign ( 'ort_auswahl_selected', '' );
	$smarty->assign ( 'ort_suche_value' );
	$smarty->assign ( 'beruf_auswahl_selected', '' );
	$smarty->assign ( 'beruf_suche_value' );
	$smarty->assign ( 'gericht_auswahl_selected', '' );
	$smarty->assign ( 'gericht_suche_value' );
	$smarty->assign ( 'regiogericht_auswahl_selected', '' );
	$smarty->assign ( 'regiogericht_suche_value' );
	$smarty->assign ( 'jahr_auswahl_selected', '' );
	$smarty->assign ( 'jahr_suche_value' );
	$smarty->assign ( 'kid_suche_value' );
	
	// $edit initialisieren, bleibt leer, wenn Beendigung neu angelegt wird
	$edit = array ();
	
	// die $select_kid wird hier initialisiert und kann spter gesetzt werden:
	// - im nderungsmodus bei vorhandener Verknpfung in der Datenbank
	// - wenn aus einem Suchergebnis eine Erffnung ausgewhlt wurde (berschreibt
	// im nderungsmodus die bereits gespeicherte Verknpfung)
	// - wenn die ausgewhlte Erffnung nach dem Klicken eines anderen Buttons
	// "wiederhergestellt" wird (berschreibt im nderungsmodus ebenfalls die
	// bereits gespeicherte Verknpfung
	$select_kid = null;
	
	// nderungsmodus oder abzweigen
	if (isset ( $_GET ['id'] )) {
		// Lade die Beendigung mit der angegebenen ID fr den nderungsmodus
		$id = $_GET ['id'];
		$sql = "SELECT * FROM k_beend WHERE id = $id";
		$res = $db->query ( $sql );
		$edit = $res->fetch_assoc ();
		
		// initialisiere Abzweigungsvariablen
		$edit ['children'] = null;
		
		// Children nur ermitteln (ggf. leeres Resultat), wenn nicht abgezweigt wird
		if (! $abzweigen) {
			$sql = "SELECT * FROM k_beend WHERE pid = $id";
			$res = $db->query ( $sql );
			$edit ['children'] = $res->fetch_assoc ();
		}
		
		// Sorge auerdem dafr, dass spter die verknpfte Erffnung geladen wird.
		// Dieser Eintrag kann an spterer Stelle aber noch berschrieben werden.
		if (! is_null ( $edit ['kid'] )) {
			$select_kid = $edit ['kid'];
		}
	}
	
	// User hat aus dem Suchergebnis eine Erffnung ausgewhlt, berschreibe ggf. die gespeicherte Auswahl aus der Datenbank
	if (isset ( $_POST ['select_kid'] )) {
		$select_kid = $_POST ['select_kid'];
	}
	
	// Wenn der User den delete_kid Button geklickt hat, muss die vorhandene KID entfernt werden
	if (isset ( $_POST ['delete_kid'] )) {
		$select_kid = null;
	}
	
	// Falls der delete_kid, ermitteln, reset_ermitteln oder ein select_kid Button geklickt wurde, mssen die bereits eingegebenen Daten erhalten werden.
	// Ggf. in der Datenbank vorhandene Daten werden hierdurch ersetzt und damit "mitgeschleift", bis gespeichert wird.
	if ((isset ( $_POST ['delete_kid'] ) || isset ( $_POST ['ermitteln'] ) || isset ( $_POST ['reset_ermitteln'] ) || isset ( $_POST ['select_kid'] ))) {
		$edit ['gericht'] = $_POST ['gericht'];
		$edit ['s_name'] = $_POST ['s_name'];
		$edit ['s_ort'] = $_POST ['s_ort'];
		$edit ['s_beruf'] = $_POST ['s_beruf'];
		$edit ['bemerk'] = htmlspecialchars_decode ( $_POST ['bemerk'] );
		$edit ['typ'] = $_POST ['typ'];
		
		// Wenn delete_kid geklickt wurde, wird das Eingabeformular abgesendet und die Daten liegen als Array vor
		if (isset ( $_POST ['delete_kid'] )) {
			$edit ['bek_dat'] = implode ( "-", array_reverse ( $_POST ['bek_dat'] ) ); // Datum in MySQL-Format konvertieren
			$edit ['aufh_dat'] = implode ( "-", array_reverse ( $_POST ['aufh_dat'] ) ); // Datum in MySQL-Format konvertieren
			$edit ['t_dat'] = implode ( "-", array_reverse ( $_POST ['t_dat'] ) ); // Datum in MySQL-Format konvertieren
		} else { // Ansonsten liegen nur die per Javascript ausgefllten Einzelwerte vor
			$edit ['bek_dat'] = $_POST ['bek_jahr'] . "-" . $_POST ['bek_monat'] . "-" . $_POST ['bek_tag']; // Datum in MySQL-Format konvertieren
			$edit ['aufh_dat'] = $_POST ['aufh_jahr'] . "-" . $_POST ['aufh_monat'] . "-" . $_POST ['aufh_tag']; // Datum in MySQL-Format konvertieren
			$edit ['t_dat'] = $_POST ['t_jahr'] . "-" . $_POST ['t_monat'] . "-" . $_POST ['t_tag']; // Datum in MySQL-Format konvertieren
		}
	}
	
	// Weise die $edit zu, auch wenn wir nicht im nderungsmodus sind, um vorhandene Daten zu bergeben
	$smarty->assign ( 'edit', $edit );
	
	// Wenn Erffnung gewhlt, diese laden
	if (! is_null ( $select_kid )) {
		$sql = "SELECT k_eroef.id, k_eroef.s_name, k_eroef.s_ort, k_eroef.s_beruf, k_eroef.gericht, k_eroef.bek_dat, k_eroef.eroef_dat, k_eroef.bemerk, kmit.bildnr, filme.filmnr_lang, filme.filmnr_kurz
		FROM k_eroef
		JOIN kmit ON k_eroef.aid = kmit.id
		JOIN filme ON kmit.fid = filme.id
		WHERE k_eroef.id = $select_kid";
		
		$res = $db->query ( $sql );
		$assoc = $res->fetch_assoc ();
		
		// Hole Sammlungen zur Linkgenerierung
		$sammlungen = getSammlungen ();
		$assoc ['bild_path'] = getFilmPath ( $assoc ['filmnr_lang'], $sammlungen ) ? getFilmPath ( $assoc ['filmnr_lang'], $sammlungen ) : null;
		
		$smarty->assign ( 'eroef_auswahl', $assoc );
	}
	
	if (isset ( $_POST ['ermitteln'] )) {
		// Suche durchfhren und Ergebnis bergeben
		
		// Erklrung: Erst die k_eroef mit kmit und filme joinen, um Jahr und Ausgabennummer fr die Erffnungen zu erhalten,
		// dann das gleiche mit k_beend machen (in der Klammer) und anschlieend beides per LEFT JOIN zusammenfhren, um die
		// Verknpfung zwischen Erffnungen und Beendigungen herzustellen
		$sql = "SELECT E.`id`, E.`pid`, E.`s_name` AS es_name, E.`s_beruf` AS es_beruf, E.`s_ort` AS es_ort, E.`gericht` AS egericht, 
				E.`eroef_dat`, E.`bek_dat` AS ebek_dat, E.`bemerk` AS ebemerk, FE.`filmnr_lang` AS efilmnr_lang, 
				FE.`filmnr_kurz` AS efilmnr_kurz, KE.`jahr` AS ejahr, KE.`ausgabe` AS eausgabe, KE.`bildnr` AS ebildnr,
				B.`id` AS bid, B.`pid` AS bpid, B.`kid`, B.`s_name` AS bs_name, B.`s_beruf` AS bs_beruf, B.`s_ort` AS bs_ort, B.`gericht` AS bgericht, 
				B.`typ`, B.`bek_dat` AS bbek_dat, B.`bemerk` AS bbemerk, FB.`filmnr_lang` AS bfilmnr_lang, 
				FB.`filmnr_kurz` AS bfilmnr_kurz, KB.`jahr` AS bjahr, KB.`ausgabe` AS bausgabe, KB.`bildnr` AS bbildnr
				FROM k_eroef_cn AS E
				JOIN kmit AS KE ON E.aid = KE.id
				JOIN filme AS FE ON KE.fid = FE.id
				LEFT JOIN (
					k_beend_cn AS B 
					JOIN kmit AS KB ON B.aid = KB.id 
					JOIN filme AS FB ON KB.fid = FB.id
				)
				ON E.id = B.kid";
		
		// WHERE-Klausel erstellen:
		// Merken, wenn wir das WHERE noch brauchen
		$where = true;
		// Merken, wenn bei der nchsten Bedingung AND erforderlich ist: $and
		$and = false;
		// Schuldner
		if (! empty ( $_POST ['schuldner_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			$sql .= " E.id = " . $_POST ['schuldner_auswahl'];
			$and = true;
			$smarty->assign ( 'schuldner_auswahl_selected', $_POST ['schuldner_auswahl'] );
		}
		if (! empty ( $_POST ['schuldner_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.s_name LIKE '%" . $db->real_escape_string ( $_POST ['schuldner_suche'] ) . "%'";
			$and = true;
			$smarty->assign ( 'schuldner_suche_value', $_POST ['schuldner_suche'] );
		}
		// Ort
		if (! empty ( $_POST ['ort_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.s_ort = '" . $_POST ['ort_auswahl'] . "'";
			$and = true;
			$smarty->assign ( 'ort_auswahl_selected', $_POST ['ort_auswahl'] );
		}
		if (! empty ( $_POST ['ort_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.s_ort LIKE '%" . $db->real_escape_string ( $_POST ['ort_suche'] ) . "%'";
			$and = true;
			$smarty->assign ( 'ort_suche_value', $_POST ['ort_suche'] );
		}
		// Beruf
		if (! empty ( $_POST ['beruf_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.s_beruf = '" . $_POST ['beruf_auswahl'] . "'";
			$and = true;
			$smarty->assign ( 'beruf_auswahl_selected', $_POST ['beruf_auswahl'] );
		}
		if (! empty ( $_POST ['beruf_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.s_beruf LIKE '%" . $db->real_escape_string ( $_POST ['beruf_suche'] ) . "%'";
			$and = true;
			$smarty->assign ( 'beruf_suche_value', $_POST ['beruf_suche'] );
		}
		// Gericht
		if (! empty ( $_POST ['gericht_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.gericht_cn = '" . $_POST ['gericht_auswahl'] . "'";
			$and = true;
			$smarty->assign ( 'gericht_auswahl_selected', $_POST ['gericht_auswahl'] );
		}
		if (! empty ( $_POST ['gericht_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.gericht LIKE '%" . $_POST ['gericht_suche'] . "%'";
			$and = true;
			$smarty->assign ( 'gericht_suche_value', $_POST ['gericht_suche'] );
		}
		// Regiogericht
		if (! empty ( $_POST ['regiogericht_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.regiogericht_cn = '" . $_POST ['regiogericht_auswahl'] . "'";
			$and = true;
			$smarty->assign ( 'regiogericht_auswahl_selected', $_POST ['regiogericht_auswahl'] );
		}
		if (! empty ( $_POST ['regiogericht_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.regiogericht_cn LIKE '%" . $_POST ['regiogericht_suche'] . "%'";
			$and = true;
			$smarty->assign ( 'regiogericht_suche_value', $_POST ['regiogericht_suche'] );
		}
		// Jahr
		if (! empty ( $_POST ['jahr_auswahl'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " year(E.eroef_dat) = " . $_POST ['jahr_auswahl'];
			$and = true;
			$smarty->assign ( 'jahr_auswahl_selected', $_POST ['jahr_auswahl'] );
		}
		if (! empty ( $_POST ['jahr_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " year(E.eroef_dat) = " . intval ( $_POST ['jahr_suche'] );
			$smarty->assign ( 'jahr_suche_value', $_POST ['jahr_suche'] );
		}
		if (! empty ( $_POST ['kid_suche'] )) {
			if ($where) {
				$sql .= " WHERE";
				$where = false;
			}
			if ($and)
				$sql .= " AND";
			$sql .= " E.id = " . intval ( $_POST ['kid_suche'] );
			$smarty->assign ( 'kid_suche_value', $_POST ['kid_suche'] );
		}
		
		// ORDER BY
		$sql .= " ORDER BY ebek_dat,eroef_dat,es_name";
		// debug query
		// echo $sql;
		// query
		$res = $db->query ( $sql );
		$such_erg = array ();
		
		// Hole Sammlungen zur Linkgenerierung
		$sammlungen = getSammlungen ();
		
		while ( $assoc = $res->fetch_assoc () ) {
			// fge zu jeder Ergebniszeile Felder fr die Bildpfade hinzu
			$assoc ['ebild_path'] = getFilmPath ( $assoc ['efilmnr_lang'], $sammlungen ) ? getFilmPath ( $assoc ['efilmnr_lang'], $sammlungen ) : null;
			$assoc ['bbild_path'] = null;
			if (! is_null ( $assoc ['bfilmnr_lang'] )) {
				$assoc ['bbild_path'] = getFilmPath ( $assoc ['bfilmnr_lang'], $sammlungen ) ? getFilmPath ( $assoc ['bfilmnr_lang'], $sammlungen ) : null;
			}
			$such_erg [] = $assoc;
		}
		$smarty->assign ( 'such_erg', $such_erg );
	} // Ende Suchergebnis
	  
	// Rufe fr die Suchmaske Daten zu den Erffnungen ab
	  // Ermittle alle Schuldner: auch doppelte Eintrge
	
	/*
	 * $sql = "SELECT id,s_name FROM k_eroef ORDER BY s_name";
	 * $res = $db->query ( $sql );
	 * $schuldner [""] = ""; // erster leerer Eintrag zum Vorselektieren
	 * while ( $assoc = $res->fetch_assoc () ) {
	 * // Limitiere Anzeige auf 150 Zeichen
	 * $display = strlen ( $assoc ['s_name'] ) > 150 ? substr ( $assoc ['s_name'], 0, 150 ) . '[...]' : $assoc ['s_name'];
	 * $schuldner [$assoc ['id']] = $display;
	 * }
	 * $smarty->assign ( 'schuldner', $schuldner );
	 * // Ermittle alle Orte: nur unterscheidbare
	 * $sql = "SELECT DISTINCT s_ort FROM k_eroef ORDER BY s_ort";
	 * $res = $db->query ( $sql );
	 * $orte [""] = "";
	 * while ( $assoc = $res->fetch_assoc () ) {
	 * // Limitiere Anzeige auf 150 Zeichen
	 * $display = strlen ( $assoc ['s_ort'] ) > 150 ? substr ( $assoc ['s_ort'], 0, 150 ) . '[...]' : $assoc ['s_ort'];
	 * $orte [$assoc ['s_ort']] = $display;
	 * }
	 * $smarty->assign ( 'orte', $orte );
	 * // Ermittle alle Berufe: nur unterscheidbare
	 * $sql = "SELECT DISTINCT s_beruf FROM k_eroef ORDER BY s_beruf";
	 * $res = $db->query ( $sql );
	 * $berufe [""] = "";
	 * while ( $assoc = $res->fetch_assoc () ) {
	 * // Limitiere Anzeige auf 150 Zeichen
	 * $display = strlen ( $assoc ['s_beruf'] ) > 150 ? substr ( $assoc ['s_beruf'], 0, 150 ) . '[...]' : $assoc ['s_beruf'];
	 * $berufe [$assoc ['s_beruf']] = $display;
	 * }
	 * $smarty->assign ( 'berufe', $berufe );
	 */
	
	// Ermittle alle Gerichte: nur unterscheidbare
	$sql = "SELECT DISTINCT gericht_cn as gericht FROM k_eroef_cn ORDER BY gericht_cn";
	$res = $db->query ( $sql );
	$gerichte [""] = "";
	while ( $assoc = $res->fetch_assoc () ) {
		// Limitiere Anzeige auf 150 Zeichen
		$display = strlen ( $assoc ['gericht'] ) > 150 ? substr ( $assoc ['gericht'], 0, 150 ) . '[...]' : $assoc ['gericht'];
		$gerichte [$assoc ['gericht']] = $display;
	}
	$smarty->assign ( 'gerichte', $gerichte );
	// Ermittle alle Regio-Gerichte: nur unterscheidbare
	$sql = "SELECT DISTINCT regiogericht_cn as regiogericht FROM k_eroef_cn ORDER BY regiogericht_cn";
	$res = $db->query ( $sql );
	$regiogerichte [""] = "";
	while ( $assoc = $res->fetch_assoc () ) {
		// Limitiere Anzeige auf 150 Zeichen
		$display = strlen ( $assoc ['regiogericht'] ) > 150 ? substr ( $assoc ['regiogericht'], 0, 150 ) . '[...]' : $assoc ['regiogericht'];
		$regiogerichte [$assoc ['regiogericht']] = $display;
	}
	$smarty->assign ( 'regiogerichte', $regiogerichte );
	// Ermittle alle Jahre: nur unterscheidbare
	$sql = "SELECT DISTINCT year(eroef_dat) AS jahr FROM k_eroef ORDER BY year(eroef_dat)";
	$res = $db->query ( $sql );
	$jahre [""] = "";
	while ( $assoc = $res->fetch_assoc () ) {
		if ($assoc ['jahr'] == 0) {
			continue; // entferne Jahr 0 (Erffnungsdatum 0000-00-00) aus der Liste
		}
		$jahre [$assoc ['jahr']] = $assoc ['jahr'];
	}
	$smarty->assign ( 'jahre', $jahre );
	// Ende Suchmaske
	
	// Bereits eingegebene Daten mssen erhalten werden
	
	// bergebe mgliche Werte fr den Typ der Beendigung
	$typen = array (
			's' => 'Schlussverteilung',
			'z' => 'Zwangsvergleich',
			'm' => 'mangels Masse',
			'a' => 'allgemeine Zustimmung',
			'e' => 'Erffnungsbeschluss aufgehoben',
			'u' => 'unklar' 
	);
	$smarty->assign ( 'typen', $typen );
}

$smarty->display ( 'edit.tpl' );

?>