<?php
include "config.php";
$smarty->assign('title', "Filmwahl");

$liste = array ();

if (! $sammlung_dir = opendir ( $_GET ['path'] )) {
	die ( "Konnte Verzeichnis der Filmsammlung nicht ffnen." );
}

while ( false !== ($file = readdir ( $sammlung_dir )) ) {
	$name_elements = explode ( "-", $file );
	if (count ( $name_elements ) == 2 && is_dir ( $_GET ['path'] . '/' . $file ) && strlen ( $file ) == 8 && is_numeric ( $name_elements [0] ) && is_numeric ( $name_elements [1] )) {
		// Relativer Pfad zum Ordner
		$film ["path"] = $_GET ['path'] . '/' . $file;
		
		// zhle Bilder
		$film ['anz_bilder'] = 0;
		if (! $filmdir = opendir ( $film ['path'] )) {
			die ( "Konnte Filmverzeichnis " . $film ['path'] . " nicht ffnen." );
		}
		
		while ( false !== ($bild_file = readdir ( $filmdir )) ) {
			if (is_file ( $film ['path'] . '/' . $bild_file ) && strlen ( $bild_file ) == 8 && is_numeric ( substr ( $bild_file, 0, 4 ) ) && $bild_file [4] == "." && substr ( $bild_file, 5, 3 ) == "tif") {
				$film ['anz_bilder'] ++;
			}
		}
		closedir ( $filmdir );
		
		// rufe auftretende Jahre, Anzahl Ausgaben und Anzahl Konkursbilder ab
		// trenne Ordnername fr SQL Abfragen
		$filmnr_kurz = intval ( substr ( $file, 0, 3 ) );
		$filmnr_lang = intval ( substr ( $file, 4, 4 ) );
		$film ['filmnr_kurz'] = $filmnr_kurz;
		$film ['filmnr_lang'] = $filmnr_lang;
		$sql = "SELECT id FROM filme WHERE filmnr_kurz=$filmnr_kurz AND filmnr_lang=$filmnr_lang";
		$res = $db->query ( $sql );
		if ($res->num_rows == 0) {
			$film ['anz_ausgaben'] = 0;
			$film ['anz_ausgaben_nr'] = 0;
		} else {
			$row = $res->fetch_object ();
			
			// hole Jahre als ein einziger String
			$sql = "SELECT GROUP_CONCAT(DISTINCT titelbl.jahr ORDER BY titelbl.jahr ASC SEPARATOR ', ') as jahre FROM `filme` JOIN titelbl ON filme.id = titelbl.fid WHERE filme.id=$row->id";
			$res = $db->query($sql);
			$film ["jahre"] = $res->fetch_row()[0]; 
			
			$sql = "SELECT id FROM titelbl WHERE fid=$row->id";
			$res = $db->query ( $sql );
			$film ["anz_ausgaben"] = $res->num_rows;
			
			$sql = "SELECT id FROM titelbl WHERE fid=$row->id AND ausgabe IS NOT NULL";
			$res = $db->query ( $sql );
			$film ["anz_ausgaben_nr"] = $res->num_rows;
			
			$sql = "SELECT id FROM kmit WHERE fid=$row->id";
			$res = $db->query($sql);
			$film['anz_kmit'] = $res->num_rows;
			
			$sql = "SELECT id FROM kmit WHERE fid=$row->id AND done=0";
			$res = $db->query($sql);
			$film['anz_kmit_done'] = $res->num_rows;
		}
		
		$liste [] = $film;
	}
}

if (count ( $liste ) == 0) {
	die ( "Keine Filme gefunden in der Filmsammlung." );
}

$smarty->assign ( 'liste', $liste );
$smarty->display ( 'filmwahl.tpl' );

?>