<?php
include "config.php";
$smarty->assign('title', "Film");

if (! $filmdir = opendir ( $_GET ['path'] )) {
	die ( "Konnte Filmverzeichnis nicht ffnen." );
}
// trenne Ordnername fr SQL Abfragen
$filmnr_kurz = intval ( substr ( basename ( $_GET ['path'] ), 0, 3 ) );
$filmnr_lang = intval ( substr ( basename ( $_GET ['path'] ), 4, 4 ) );

// Pfad zur Filmsammlung fr Links
$filmsammlung = "filmwahl.php?path=" . rawurlencode ( dirname ( $_GET ['path'] ));

// ++++ Verarbeiten ++++
if (isset ( $_POST ['save_and_return'] ) || isset ( $_POST ['auswerten'] )) {
	// hole fid
	$sql = "SELECT id FROM filme WHERE filmnr_kurz=$filmnr_kurz and filmnr_lang=$filmnr_lang";
	$res = $db->query ( $sql );
	$row = $res->fetch_object ();
	$fid = $row->id;
	
	// vorhandene Ausgaben in einem Array sammeln (mit Hilfe von k):
	// $ausgaben[]: bildnr => array(ausgabenr => ausgabenr, jahr => jahr)
	$ausgaben = array ();
	if (isset ( $_POST ['ausgaben'] )) {
		foreach ( $_POST ['ausgaben'] as $key => $cur_ausgabe ) {
			if (is_numeric ( $cur_ausgabe ) && is_numeric ( $_POST ['bildnr'] [$key] )) {
				$ausgaben [intval ( $_POST ['bildnr'] [$key] )] ['ausgabenr'] = intval ( $cur_ausgabe );
				// Jahresangaben werden nur bernommen, wenn es eine Ausgabe-Nr. gibt (Limitierung!)
				if (is_numeric ( $_POST ['jahre'] [$key] )) {
					$ausgaben [intval ( $_POST ['bildnr'] [$key] )] ['jahr'] = intval ( $_POST ['jahre'] [$key] );
				}
			}
		}
	}
	
	// vorhandene Konkursrubriken in einem Array sammeln (mit Hilfe von k):
	// $kmit[]: bildnr => array(ausgabenr => ausgabenr, jahr => jahr)
	$kmit = array ();
	if (isset ( $_POST ['kmit'] )) {
		foreach ( $_POST ['kmit'] as $key => $cur_ausgabe ) {
			if (is_numeric ( $cur_ausgabe ) && is_numeric ( $_POST ['bildnr'] [$key] )) {
				$kmit [intval ( $_POST ['bildnr'] [$key] )] ['ausgabenr'] = intval ( $cur_ausgabe );
				if (is_numeric ( $_POST ['k_jahre'] [$key] )) { // Jahresangaben werden nur bernommen, wenn es eine Ausgabe-Nr. gibt (Limitierung!)
					$kmit [intval ( $_POST ['bildnr'] [$key] )] ['jahr'] = intval ( $_POST ['k_jahre'] [$key] );
				}
			}
		}
	}
	
	// debugging
	
	// echo "auswerten"; var_dump($_POST['auswerten']); // auswerten button
	
	// echo "bildnr"; var_dump($_POST['bildnr']); // fortlaufender Key k => bildnr
	// echo "ausgaben"; var_dump($_POST['ausgaben']); // fortlaufender Key k => array(ausgabenr, jahr)
	// echo "kmit"; var_dump($_POST['kmit']); // fortlaufender Key k => array(ausgabenr, jahr)
	// echo "check"; var_dump($_POST['check']); // anderer fortlaufender Key l => bildnr
	// echo "neugen"; var_dump($_POST['neugen']); // anderer fortlaufender Key m => bildnr
	// echo "k_check"; var_dump($_POST['k_check']); // anderer fortlaufender Key n => bildnr
	
	// echo "ausgabenarray"; var_dump($ausgaben); // siehe Beschreibung oben
	// echo "kmitarray"; var_dump($kmit); // siehe Beschreibung oben
	
	// Titelbltter eintragen
	if (isset ( $_POST ['check'] )) {
		if (isset ( $_POST ['check'] ))
			sort ( $_POST ['check'], SORT_NUMERIC );
		if (isset ( $_POST ['neugen'] ))
			sort ( $_POST ['neugen'], SORT_NUMERIC );
		foreach ( $_POST ['check'] as $bildnr ) {
			// Ausgabe-Nr.
			if (array_key_exists ( $bildnr, $ausgaben ) && ! isset ( $_POST ['neugen'] )) {
				// keine neugen Checkbox ist gesetzt, dann bernimm alles
				$ausgabenr = $ausgaben [$bildnr] ['ausgabenr'];
			} elseif (array_key_exists ( $bildnr, $ausgaben ) && in_array ( $bildnr, $_POST ['neugen'] )) {
				// das Bild ist Grundlage einer Neugenerierung und deswegen wird die Ausgabe bernommen
				$ausgabenr = $ausgaben [$bildnr] ['ausgabenr'];
			} elseif (array_key_exists ( $bildnr, $ausgaben ) && min ( $_POST ['neugen'] ) > $bildnr) {
				// das Bild liegt vor der ersten Neugenerierung
				$ausgabenr = $ausgaben [$bildnr] ['ausgabenr'];
			} elseif (count ( $ausgaben ) != 0 && (! array_key_exists ( $bildnr, $ausgaben )) || (isset ( $_POST ['neugen'] ) && min ( $_POST ['neugen'] ) < $bildnr)) {
				// entweder liegt keine Eingabe vor, oder die Eingabe soll berschrieben werden: und Ausgabe kann kalkuliert werden aus vorherigem Wert
				
				// finde bildnr ($key) der letzten ausgabe
				$last = '';
				foreach ( $ausgaben as $key => $value ) {
					if ($key < $bildnr && $key > $last) {
						$last = $key;
					}
				}
				$ausgaben [$bildnr] ['ausgabenr'] = $ausgaben [$last] ['ausgabenr'] + 1;
				$ausgabenr = $ausgaben [$bildnr] ['ausgabenr'];
			} else { // Ausgabe kann nicht ermittelt werden, da weder Eingabe noch Ausgangswert fr Kalkulation vorhanden
				$ausgabenr = "NULL";
			}
			// Jahr
			if (array_key_exists ( $bildnr, $ausgaben ) && isset ( $ausgaben [$bildnr] ['jahr'] )) {
				$jahr = $ausgaben [$bildnr] ['jahr'];
			} else {
				$jahr = "NULL";
			}
			$sql = "INSERT INTO titelbl (fid, bildnr, ausgabe, jahr) VALUES($fid, $bildnr, $ausgabenr, $jahr) ON DUPLICATE KEY UPDATE fid=$fid , bildnr=$bildnr , ausgabe=$ausgabenr , jahr=$jahr";
			$db->query ( $sql );
		}
	}
	// Titelbltter lschen, die nicht selektiert wurden
	$sql = "SELECT id,bildnr FROM titelbl WHERE fid=$fid";
	$res = $db->query ( $sql );
	while ( $row = $res->fetch_object () ) {
		if (isset ( $_POST ['check'] ) && in_array ( $row->bildnr, $_POST ['check'] )) {
			continue; // do not delete
		}
		$sql = "DELETE FROM titelbl WHERE id=$row->id";
		$db->query ( $sql );
	}
	
	// Spezielle Operationen, wenn Auswertung gestartet werden soll
	if (isset ( $_POST ['auswerten'] )) {
		// Wenn eine Ausgabe zur Auswertung ausgewhlt wurde, aber fr diese Ausgabe noch keine Checkbox gesetzt ist,
		// wird dies hiermit fingiert
		if (! in_array ( $_POST ['auswerten'], $_POST ['k_check'] )) {
			$_POST ['k_check'] [] = $_POST ['auswerten']; // fge die ausgewhlte Bild-Nr. zum k_check Array hinzu
		}
	}
	
	// Konkursrubriken eintragen
	if (isset ( $_POST ['k_check'] )) {
		sort ( $_POST ['k_check'], SORT_NUMERIC );
		foreach ( $_POST ['k_check'] as $bildnr ) {
			// Ausgabe-Nr.
			if (array_key_exists ( $bildnr, $kmit )) {
				// die Checkbox wurde gesetzt und eine Ausgabe wurde angegeben; bernimm sie
				$ausgabenr = $kmit [$bildnr] ['ausgabenr'];
			} else {
				// nur die Checkbox wurde gesetzt; keine Ausgabennummer verfgbar
				$ausgabenr = "NULL";
				// wenn ein Titelblatt VOR der Konkursrubrik vorhanden und dafr eine Ausgaben-Nr. vorliegt,
				// dann bernimm die Ausgabennummer von diesem
				$sql = "SELECT ausgabe FROM titelbl WHERE fid=$fid AND bildnr < $bildnr AND ausgabe IS NOT NULL ORDER BY bildnr DESC LIMIT 1";
				$res = $db->query ( $sql );
				if ($res->num_rows == 1) {
					$obj = $res->fetch_object ();
					$ausgabenr = $obj->ausgabe;
				}
			}
			// Jahr
			if (array_key_exists ( $bildnr, $kmit ) && isset ( $kmit [$bildnr] ['jahr'] )) {
				$jahr = $kmit [$bildnr] ['jahr'];
			} else {
				$jahr = "NULL";
			}
			$sql = "INSERT INTO kmit (fid, bildnr, ausgabe, jahr) VALUES($fid, $bildnr, $ausgabenr, $jahr) ON DUPLICATE KEY UPDATE fid=$fid , bildnr=$bildnr , ausgabe=$ausgabenr , jahr=$jahr";
			$db->query ( $sql );
		}
	}
	// Konkursrubriken lschen, die nicht selektiert wurden
	$sql = "SELECT id,bildnr FROM kmit WHERE fid=$fid";
	$res = $db->query ( $sql );
	while ( $row = $res->fetch_object () ) {
		if (isset ( $_POST ['k_check'] ) && in_array ( $row->bildnr, $_POST ['k_check'] )) {
			continue; // do not delete
		}
		$sql = "DELETE FROM kmit WHERE id=$row->id";
		// echo $sql . "<br>";
		$db->query ( $sql );
	}
	
	// Gehe zurck zur Filmliste, wenn "default" Button gedrckt wird oder wenn in einem Input-Feld Enter gedrckt wird,
	// default button ist immer der erste Button im Dokument (deswegen muss ganz oben im Template der default button sein,
	// damit nicht einer der auswerten Buttons ausgelst wird beim Enter drcken).
	if (isset ( $_POST ['save_and_return'] )) {
	// Deaktiviert, damit man nicht zurck in die Filmliste gelangt, sondern der aktuelle Film neu angezeigt wird mit der nderung
	//		header ( "Location: $filmsammlung");
	//		exit ();
	}
	// Wenn Auswertung gewnscht, dann wechsle dort hin
	if (isset ( $_POST ['auswerten'] )) {
		// bergebe Pfad zum Filmordner und Bildnummer
		header ( "Location: auswertung.php?path=" . rawurlencode ( $_GET ['path'] ) . "&bildnr=" . $_POST ['auswerten'] );
		exit ();
	}
}

// ++++ Anzeigen ++++

$smarty->assign ( 'filmnr_kurz', $filmnr_kurz );
$smarty->assign ( 'filmnr_lang', $filmnr_lang );

// rufe Informationen zum Film ab
$sql = "SELECT * FROM filme WHERE filmnr_kurz=$filmnr_kurz AND filmnr_lang=$filmnr_lang";
$res = $db->query ( $sql );
if ($res->num_rows != 0) {
	$film = $res->fetch_object ();
}

// rufe Bilder mit Ausgabentitelblatt ab: $ausgaben = array(bildnr => array(ausgabe => ausgabe, jahr => jahr)
if (isset ( $film )) {
	$sql = "SELECT ausgabe,jahr,bildnr FROM titelbl WHERE fid=$film->id";
	$res = $db->query ( $sql );
	if ($res->num_rows != 0) {
		while ( $row = $res->fetch_assoc () ) {
			$ausgaben [$row ['bildnr']] = array (
					'ausgabe' => $row ['ausgabe'],
					'jahr' => $row ['jahr'] 
			);
		}
	} else {
		$ausgaben = array ();
	}
} else {
	$ausgaben = array ();
}

// rufe Bilder mit Konkursrubriktitelzeile ab: $kmit = array(bildnr => array(ausgabe => ausgabe, jahr => jahr, done => done))
if (isset ( $film )) {
	$sql = "SELECT id,bildnr,jahr,ausgabe,UNIX_TIMESTAMP(gesperrt) AS gesperrt,done FROM kmit WHERE fid=$film->id";
	$res = $db->query ( $sql );
	if ($res->num_rows != 0) {
		while ( $row = $res->fetch_assoc () ) {
			// ggf. Bild entsperren nach mehr als 1 Tag
			if ($row['gesperrt'] < (time() - 24*60*60) ) {
				$sql = "UPDATE kmit SET gesperrt = NULL WHERE id = " . $row['id'];
				$db->query ($sql);
				$row['gesperrt'] = null;
			}
			$kmit [$row ['bildnr']] = array (
					'ausgabe' => $row ['ausgabe'],
					'jahr' => $row ['jahr'],
					'done' => $row ['done'],
					'gesperrt' => $row ['gesperrt'] 
			);
		}
	} else {
		$kmit = array ();
	}
} else {
	$kmit = array ();
}

// erstelle Liste mit Informationen zu den Bildern
while ( false !== ($file = readdir ( $filmdir )) ) {
	if (is_file ( $_GET ['path'] . '/' . $file ) && strlen ( $file ) == 8 && is_numeric ( substr ( $file, 0, 4 ) ) && $file [4] == "." && substr ( $file, 5, 3 ) == "tif") {
		$image ["bildnr"] = intval ( substr ( $file, 0, 4 ) );
		if (LOCALTHUMBS == true) {
			$image ["thumb"] = "file:///" . $_GET ['path'] . "/thumbs/" . substr ( $file, 0, 4 ) . ".jpg";
		} else {
			$image ["thumb"] = "data/" . substr ( $_GET ['path'], 0, 1 ) . substr ( $_GET ['path'], 2 ) . "/thumbs/" . substr ( $file, 0, 4 ) . ".jpg";
		}
		$image ["fullimg"] = $_GET ['path'] . "/" . $file;
		// Titelbltter
		if (array_key_exists ( $image ['bildnr'], $ausgaben ) && ! empty ( $ausgaben [$image ['bildnr']] )) {
			// fr das Bild existiert ein Record in der DB, die Ausgabe kann auch leer sein (NULL)
			$image ["ausgabe"] = $ausgaben [$image ["bildnr"]] ["ausgabe"];
			$image ["jahr"] = $ausgaben [$image ["bildnr"]] ["jahr"];
			$image ["checked"] = true;
		} else {
			// Fr das Bild gibt es in der DB keinen Eintrag
			$image ["ausgabe"] = "";
			$image ["jahr"] = "";
			$image ["checked"] = false;
		}
		// Konkursrubrik
		if (array_key_exists ( $image ['bildnr'], $kmit ) && ! empty ( $kmit [$image ['bildnr']] )) {
			// Ein Eintrag in der DB ist vorhanden fr das Bild, bernehme Ausgaben-Nr. und done flag
			// hierunter fllt auch der Fall, dass ausgabe NULL oder done flag = false ist
			$image ["k_ausgabe"] = $kmit [$image ["bildnr"]] ["ausgabe"];
			$image ["k_jahr"] = $kmit [$image ["bildnr"]] ["jahr"];
			$image ["k_checked"] = true;
			$image ['k_done'] = $kmit [$image ['bildnr']] ['done'];
			$image ['k_auswert_link'] = "auswertung.php?path=" . rawurlencode ( $_GET ['path'] ) . "&bildnr=" . $image ['bildnr'];
			$image ['k_gesperrt'] = $kmit[$image["bildnr"]] ["gesperrt"];
		} else {
			$image ["k_ausgabe"] = "";
			$image ["k_jahr"] = "";
			$image ["k_checked"] = false;
			$image ['k_done'] = false;
			$image ['k_auswert_link'] = false;
			$image ['k_gesperrt'] = false;
		}
		$liste [] = $image;
	}
}

if (count ( $liste ) == 0) {
	die ( "Keine Bilder gefunden im Filmordner." );
}
$smarty->assign ( 'liste', $liste );
$smarty->assign ( 'filmsammlung', $filmsammlung);

$smarty->display ( 'selektion.tpl' );

?>