<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>RA {if $abzweigen}Abzw. v. {/if}
{if $art == "eroef"}KID{elseif $art == "beend"}BID{/if}
{if isset($edit.id)} {$edit.id}{/if}
{if isset($edit.pid) && !is_null($edit.pid)} [{$edit.pid}]){/if}</title>
<script type="text/javascript" language="JavaScript">
{if $art == "eroef"}
function kopiereBekDat() {
	document.getElementById("eroef_tag").options.selectedIndex = document.getElementById("bek_tag").options.selectedIndex;
	document.getElementById("eroef_monat").options.selectedIndex = document.getElementById("bek_monat").options.selectedIndex;
	document.getElementById("eroef_jahr").options.selectedIndex = document.getElementById("bek_jahr").options.selectedIndex;
}
{else}
function kopiereBekDat() {
	document.getElementById("aufh_tag").options.selectedIndex = document.getElementById("bek_tag").options.selectedIndex;
	document.getElementById("aufh_monat").options.selectedIndex = document.getElementById("bek_monat").options.selectedIndex;
	document.getElementById("aufh_jahr").options.selectedIndex = document.getElementById("bek_jahr").options.selectedIndex;
}
{/if}
function sucheSubmit() {
	document.getElementById("htyp").value = document.getElementById("typ").options[document.getElementById("typ").selectedIndex].value;
	
	document.getElementById("hbek_jahr").value = document.getElementById("bek_jahr").options[document.getElementById("bek_jahr").selectedIndex].value;
	document.getElementById("hbek_monat").value = document.getElementById("bek_monat").options[document.getElementById("bek_monat").selectedIndex].value;
	document.getElementById("hbek_tag").value = document.getElementById("bek_tag").options[document.getElementById("bek_tag").selectedIndex].value;
	
	document.getElementById("haufh_jahr").value = document.getElementById("aufh_jahr").options[document.getElementById("aufh_jahr").selectedIndex].value;
	document.getElementById("haufh_monat").value = document.getElementById("aufh_monat").options[document.getElementById("aufh_monat").selectedIndex].value;
	document.getElementById("haufh_tag").value = document.getElementById("aufh_tag").options[document.getElementById("aufh_tag").selectedIndex].value;

	document.getElementById("ht_jahr").value = document.getElementById("t_jahr").options[document.getElementById("t_jahr").selectedIndex].value;
	document.getElementById("ht_monat").value = document.getElementById("t_monat").options[document.getElementById("t_monat").selectedIndex].value;
	document.getElementById("ht_tag").value = document.getElementById("t_tag").options[document.getElementById("t_tag").selectedIndex].value;
	
	document.getElementById("hgericht").value = document.getElementById("gericht").value;
	document.getElementById("hs_name").value = document.getElementById("s_name").value;
	document.getElementById("hs_beruf").value = document.getElementById("s_beruf").value;
	document.getElementById("hs_ort").value = document.getElementById("s_ort").value;
	document.getElementById("hbemerk").value = document.getElementById("bemerk").value;
}	
function initialisieren() {
	{if $art == "beend"}
	{if isset($eroef_auswahl)}
	document.forms['eingabe'].elements['bek_dat[Day]'].focus();
	{else}
	document.forms['suche'].elements['schuldner_suche'].focus();
	{/if}
	{elseif $art == "eroef"}
	document.forms['eingabe'].elements['gericht'].focus();
	{/if}
}
</script>
{literal}
<style type="text/css">
	table.sucherg td, table.sucherg th {
		border-width: 1px;
		border-style: solid;
		padding: 5px;
	}
	table.sucherg {
		border-width: 1px;
		border-spacing: 0;
		border-collapse: collapse;
	}
</style>
{/literal}
</head>
<body onLoad="initialisieren()">
	<h1>{if !isset($edit.id) || $abzweigen}Neue {/if}{if $art ==
		"eroef"}Erffnung{elseif $art == "beend"}Beendigung{/if} {if
		!isset($edit.id)}erfassen{else}{if $abzweigen}von{/if} ID #{$edit.id} {if !$abzweigen}bearbeiten{else}abzweigen{/if}{/if}
		{if isset ($edit.pid) && !is_null($edit.pid)} (abgezweigt von #ID {$edit.pid}){/if}</h1>
	<h2>Parameter</h2>
	<table border="0">
		<tr>
			<td>Konkursbild-ID</td>
			<td>{$ausgabe_id}</td>
		</tr>
		<tr>
			<td>Filmnummer:</td>
			<td>{$filmnr_kurz|string_format:'%03d'}-{$filmnr_lang}</td>
		</tr>
		<tr>
			<td>Jahrgang des Films:</td>
			<td>{$jahr|default:'Jahr noch nicht erfasst. Bitte nachholen.'}</td>
		</tr>
		<tr>
			<td>Ausgaben-Nr.:</td>
			<td>{$ausgabe|default:'<b>Ausgaben-Nummer noch nicht
					erfasst. Bitte nachholen.</b>'}
			</td>
		</tr>
		<tr>
			<td>Bild:</td>
			<td>{$bildnr} <a
				href="file:///{$film_path}/{$bildnr|string_format:'%04d'}.tif"
				target="_blank">[*** Laden ***]</a></td>
		</tr>
	</table>
	{if $art == "beend"}
	<h2>
		<a name="Suche">Erffnung ermitteln</a>
	</h2>
	<h3>Suchparameter</h3>
	<form action="" name="suche" method="post"  onSubmit="sucheSubmit()">
		<table border=1>
			<tr>
				<th>Datenbankfeld</th>
				<th>Verfgbare Erffnungen</th>
				<th rowspan=8><- UND -></th>
				<th>Suche (UND)</th>
			</tr>
			<tr>
				<td>Schuldner</td>
				<td>{* html_options options=$schuldner
					selected=$schuldner_auswahl_selected name='schuldner_auswahl'
					style='width:500px;' *}</td>
				<td><input type="text" name="schuldner_suche"
					value="{$schuldner_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>Ort</td>
				<td>{* html_options options=$orte selected=$ort_auswahl_selected
					name='ort_auswahl' style='width:500px;' *}</td>
				<td><input type="text" name="ort_suche"
					value="{$ort_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>Beruf</td>
				<td>{* html_options options=$berufe
					selected=$beruf_auswahl_selected name='beruf_auswahl'
					style='width:500px;' *}</td>
				<td><input type="text" name="beruf_suche"
					value="{$beruf_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>Gericht (normiert / frei)</td>
				<td>{html_options options=$gerichte
					selected=$gericht_auswahl_selected name='gericht_auswahl'
					style='width:500px;'}</td>
				<td><input type="text" name="gericht_suche"
					value="{$gericht_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>Gerichtregion (normiert)</td>
				<td>{html_options options=$regiogerichte
					selected=$regiogericht_auswahl_selected name='regiogericht_auswahl'
					style='width:500px;'}</td>
				<td><input type="text" name="regiogericht_suche"
					value="{$regiogericht_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>Jahr der Erffnung</td>
				<td>{html_options options=$jahre
					selected=$jahr_auswahl_selected name='jahr_auswahl'
					style='width:500px;'}</td>
				<td><input type="text" name="jahr_suche"
					value="{$jahr_suche_value}" size=30 /></td>
			</tr>
			<tr>
				<td>KID</td>
				<td></td>
				<td><input type="text" name="kid_suche"
					value="{$kid_suche_value}" size=30 /></td>
			</tr>
		</table>
		<br /> <input type="submit" name="ermitteln"
			value="Erffnungen suchen" formaction="#Suche" />&nbsp;<input
			type="submit" name="reset_ermitteln" value="Suche lschen" /> {if
		isset($such_erg)}
		<h3>Suchergebnis</h3>
		<table class="sucherg">
			<tr>
				<th>KID/BID [PID] Typ</th>
				<th>Jahr</th>
				<th>Film</th>
				<th>Ausg.</th>
				<th>Bild</th>
				<th>Bek.-Dat.</th>
				<th>Erf.-Dat.</th>
				<th>Gericht</th>
				<th>Schuldner</th>
				<th>Beruf</th>
				<th>Ort</th>
				<th>Bemerk.</th>
			</tr>
			{foreach from=$such_erg item=i}
			<tr {if !is_null($i.kid)}bgcolor="#81F781"{/if}>
				<td {if !is_null($i.kid)}style="border-bottom: 0"{/if}>{if is_null($i.kid)}<input type="submit" name="select_kid"
					value="{$i.id}" style="width: 50px;" formaction="#Eingabe" />{else}{$i.id}{/if}{if !is_null($i.pid)} [{$i.pid}]{/if}</td>
				<td>{$i.ejahr}</td>
				<td>{$i.efilmnr_kurz|string_format:'%03d'}-{$i.efilmnr_lang}</td>
				<td>{$i.eausgabe}</td>
				<td>{if !is_null($i.ebild_path)}<a
					href="auswertung.php?path={$i.ebild_path|escape:'url'}&bildnr={$i.ebildnr}"
					target="_blank">{/if}{$i.ebildnr}{if !is_null($i.ebild_path)}</a>{/if}
				</td>
				<td>{$i.ebek_dat|mysqlDateToGerman}</td>
				<td>{$i.eroef_dat|mysqlDateToGerman}</td>
				<td>{$i.egericht}</td>
				<td>{$i.es_name}</td>
				<td>{$i.es_beruf}</td>
				<td>{$i.es_ort}</td>
				<td>{$i.ebemerk}</td>
			</tr>
			{if !is_null($i.kid)}
			<tr bgcolor="#81F781">
				<td style="border-top: 0">{$i.bid}{if !is_null($i.bpid)} [{$i.bpid}]{/if} {$i.typ|upper}</td>
				<td>{$i.bjahr}</td>
				<td>{$i.bfilmnr_kurz|string_format:'%03d'}-{$i.bfilmnr_lang}</td>
				<td>{$i.bausgabe}</td>
				<td>{if !is_null($i.bbild_path)}<a
					href="auswertung.php?path={$i.bbild_path|escape:'url'}&bildnr={$i.bbildnr}"
					target="_blank">{/if}{$i.bbildnr}{if !is_null($i.bbild_path)}</a>{/if}
				</td>
				<td>{$i.bbek_dat|mysqlDateToGerman}</td>
				<td></td>
				<td>{$i.bgericht}</td>
				<td>{$i.bs_name}</td>
				<td>{$i.bs_beruf}</td>
				<td>{$i.bs_ort}</td>
				<td>{$i.bbemerk}</td>
			</tr>
			{/if}{/foreach}
		</table>
		{/if}
		<input type="hidden" name="bek_tag" id="hbek_tag" />
		<input type="hidden" name="bek_monat" id="hbek_monat" />
		<input type="hidden" name="bek_jahr" id="hbek_jahr" />
		<input type="hidden" name="typ" id="htyp" />
		<input type="hidden" name="aufh_tag" id="haufh_tag" />
		<input type="hidden" name="aufh_monat" id="haufh_monat" />
		<input type="hidden" name="aufh_jahr" id="haufh_jahr" />
		<input type="hidden" name="t_tag" id="ht_tag" />
		<input type="hidden" name="t_monat" id="ht_monat" />
		<input type="hidden" name="t_jahr" id="ht_jahr" />
		<input type="hidden" name="gericht" id="hgericht" />
		<input type="hidden" name="s_name" id="hs_name" />
		<input type="hidden" name="s_beruf" id="hs_beruf" />
		<input type="hidden" name="s_ort" id="hs_ort" />
		<input type="hidden" name="bemerk" id="hbemerk" />
	</form>
	{/if}
	<h2>
		<a name="Eingabe">Eingabe</a>
	</h2>
	<form action="" name="eingabe" method="post">
		<!--  versteckter submit button, damit beim Enter drcken drcken das richtige Event ausgelst wird -->
		<input type="submit" name="save_and_return" value="Speichern & zurck"
			style="visibility: hidden; height: 0;" />
		<table border=1>
			{if isset($edit.id) && !is_null($edit.pid)}
			<tr bgcolor="#F5A9F2">
				<td colspan=2 align="center"><b>{if $art == "eroef"}Erffnung{elseif $art == "beend"}Beendigung{/if} ist abgezweigt von #ID {$edit.pid}</b>
				<input type="hidden" name="pid" value="{$edit.pid}" /></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			{elseif $abzweigen}
			<tr bgcolor="#F5A9F2">
				<td colspan=2 align="center"><b>{if $art == "eroef"}Erffnung{elseif $art == "beend"}Beendigung{/if} wird abgezweigt von #ID {$edit.id}</b>
				<input type="hidden" name="pid" value="{$edit.pid}" /></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			{/if}
			{if $art == "eroef"}
			<tr>
				<td colspan=2 align="center"><b>Daten zur Erffnung</b></td>
			</tr>
			<tr>
				<td><b><u>Gericht</u></b></td>
				<td><input type="text" name="gericht"
					value="{$edit.gericht|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Bekanntmachung</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='bek_dat'
					time=$edit.bek_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"
					day_id='bek_tag' month_id='bek_monat' year_id='bek_jahr'}</td>
			</tr>
			<tr>
				<td><b><u>Schuldner</u></b></td>
				<td><input type="text" name="s_name"
					value="{$edit.s_name|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Beruf</td>
				<td><input type="text" name="s_beruf"
					value="{$edit.s_beruf|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Ort</td>
				<td><input type="text" name="s_ort"
					value="{$edit.s_ort|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Todesdatum</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='t_dat'
					time=$edit.t_dat|default:null|mysqlDateToSmarty start_year=1850
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"}</td>
			</tr>
			<tr>
				<td>Erffnung <input type="button" value="&uuml;bernehmen" onclick="kopiereBekDat(); return false;" /></td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='eroef_dat'
					time=$edit.eroef_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"
					day_id='eroef_tag' month_id='eroef_monat' year_id='eroef_jahr'}</td>
			</tr>
			<tr>
				<td><b><u>Verwalter</u></b></td>
				<td><input type="text" name="v_name"
					value="{$edit.v_name|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Beruf</td>
				<td><input type="text" name="v_beruf"
					value="{$edit.v_beruf|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Ort</td>
				<td><input type="text" name="v_ort"
					value="{$edit.v_ort|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" /></td>
			</tr>
			<tr>
				<td>Anzeige-Frist</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='anz_dat'
					time=$edit.anz_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"}</td>
			</tr>
			<tr>
				<td>Anmelde-Frist</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='anm_dat'
					time=$edit.anm_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"}</td>
			</tr>
			<tr>
				<td>Glubigerversammlung</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='gvers_dat'
					time=$edit.gvers_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"}</td>
			</tr>
			<tr>
				<td>Prfungstermin</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='pruef_dat'
					time=$edit.pruef_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"}</td>
			</tr>
			{elseif $art == "beend"}{if isset($eroef_auswahl)}
			<tr>
				<td colspan=2 align="center"><b>Verknpfte Erffnung</b></td>
			</tr>
			<tr>
				<td>KID</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.id}<input type="hidden"
					name="kid" value="{$eroef_auswahl.id}" /></td>
			</tr>
			<tr>
				<td>Film</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.filmnr_kurz|string_format:'%03d'}-{$eroef_auswahl.filmnr_lang}</td>
			</tr>
			<tr>
				<td>Bild</td>
				<td bgcolor="#81BEF7">{if !is_null($eroef_auswahl.bild_path)}<a
					href="auswertung.php?path={$eroef_auswahl.bild_path|escape:'url'}&bildnr={$eroef_auswahl.bildnr}"
					target="_blank">{/if}{$eroef_auswahl.bildnr}{if
						!is_null($eroef_auswahl.bild_path)}</a>{/if}
				</td>
			</tr>
			<tr>
				<td>Schuldner</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.s_name}</td>
			</tr>
			<tr>
				<td>Beruf</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.s_beruf}</td>
			</tr>
			<tr>
				<td>Ort</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.s_ort}</td>
			</tr>
			<tr>
				<td>Erf.-Dat.</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.eroef_dat|mysqlDateToGerman}</td>
			</tr>
			<tr>
				<td>Gericht</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.gericht}</td>
			</tr>
			<tr>
				<td>Bek.-Dat.</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.bek_dat|mysqlDateToGerman}</td>
			</tr>
			<tr>
				<td>Bemerk.</td>
				<td bgcolor="#81BEF7">{$eroef_auswahl.bemerk}</td>
			</tr>
			<tr>
				<td colspan=2 align="center"><input type="submit"
					name="delete_kid" value="Verknpfung lschen" formaction="#Suche" /></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			{elseif isset($edit.id) && is_null($edit.kid)}
			<tr bgcolor="#F5A9A9">
				<td colspan=2 align="center"><b>Verwaist - keine Ereffnung
						verknpft</b></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			{/if}
			<tr>
				<td colspan=2 align="center"><b>Daten zur Beendigung</b></td>
			</tr>
			<tr>
				<td>Bekanntmachung</td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='bek_dat'
					time=$edit.bek_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"
					day_id='bek_tag' month_id='bek_monat' year_id='bek_jahr'}</td>
			</tr>
			<tr>
				<td>Art der Beendigung</td>
				<td>{html_options options=$typen name='typ' id='typ'
					selected=$edit.typ|default:'s' style="background-color: #F3F781;"}</td>
			</tr>
			<tr>
				<td>Aufhebungsdatum <input type="button" value="&uuml;bernehmen" onclick="kopiereBekDat(); return false;" /></td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='aufh_dat'
					time=$edit.aufh_dat|default:null|mysqlDateToSmarty start_year=1879
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"
					day_id='aufh_tag' month_id='aufh_monat' year_id='aufh_jahr'}</td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			<tr>
				<td colspan=2 align="center"><i><b>{if
							isset($eroef_auswahl)}Abweichungen bei Beendigung{else}Erffnung
							nicht ermittelbar - nur Beendigung{/if}</b></i></td>
			</tr>
			<tr>
				<td><i>Gericht</i></td>
				<td><input type="text" name="gericht"
					value="{$edit.gericht|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" id="gericht" /></td>
			</tr>
			<tr>
				<td><i>Schuldner</i></td>
				<td><input type="text" name="s_name"
					value="{$edit.s_name|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" id="s_name" /></td>
			</tr>
			<tr>
				<td><i>Beruf</i></td>
				<td><input type="text" name="s_beruf"
					value="{$edit.s_beruf|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" id="s_beruf" /></td>
			</tr>
			<tr>
				<td><i>Ort</i></td>
				<td><input type="text" name="s_ort"
					value="{$edit.s_ort|default:''|escape:'html'}" size="100"
					style="background-color: #F3F781;" id="s_ort" /></td>
			</tr>
			<tr>
				<td><i>Todesdatum</i></td>
				<td>{html_select_date all_empty='' prefix=''
					field_array='t_dat'
					time=$edit.t_dat|default:null|mysqlDateToSmarty start_year=1850
					end_year=1914 day_value_format='%02d' month_value_format='%m'
					field_order='DMY' style="background-color: #F3F781;"
					day_id='t_tag' month_id='t_monat' year_id='t_jahr'}</td>
			</tr>
			{/if}
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			<tr>
				<td colspan=2 align="center"><b>Bemerkungen zu dieser {if
						$art == "eroef"}Erffnung{else}Beendigung{/if}</b></td>
			</tr>
			<tr>
				<td colspan=2 align="center"><textarea name="bemerk" rows="5"
						style="background-color: #F3F781; width: 99%;" id="bemerk">{$edit.bemerk|default:''|escape:'html'}</textarea></td>
			</tr>{if isset($edit.id) && !$abzweigen}
			<tr>
				<td>Verschieben in Bild-ID</td>
				<td><input type="text" name="verschieben_nach" size="10"
					style="background-color: #F3F781;" /></td>
			</tr>{/if}{if $art == "eroef" && isset($edit.id) && !is_null($edit.beend)}
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>
			<tr>
				<td>Beendigung ID</td>
				<td><a href="edit.php?path={$edit.beend.bfilm_path|escape:'url'}&ausgabe_id={$edit.beend.aid}&art=beend&id={$edit.beend.id}#Eingabe" target="_blank">{$edit.beend.id}</a></td>
			</tr>{/if}
		</table>
		<br />
		<input type="submit" name="save_and_return" value="Speichern & zurck"
			style="width: 150px;" /><br />
		<br />
		<input type="submit" name="discard_and_return" value="Abbrechen"
			style="width: 150px;" /><br />
		<br /> {if !$abzweigen && isset($edit.id) && !$edit.children && ($art == "beend" || ($art == "eroef" &&
		!$edit.beend))}<input type="submit" name="delete_and_return"
			value="LSCHEN" style="width: 150px;" />{/if} {if isset($edit.id)}<input
			type="hidden" name="id" value="{$edit.id}" />{/if}
	</form>
	<br />
{include file='footer.tpl'}
</body>
</html>